ImageMagick, imagickをPHP5.4, CentOS6.4環境にインストール

Pocket

1) ImageMagick, ImageMagick-devel のインストール

2) imagickのインストール

※現時点では、PHP5.4でimagickをインストールするには、beta版を使う必要があります。

ではエラーになります。

3) php.iniにextension=imagick.soを追記

補足1
imagickのインストールで下記が表示
configure: error: no acceptable C compiler found in $PATH
→Cコンパイラがインストールされていない。

GCCのインストール

補足2
PEARがインストールされていない場合は、インストール

環境:

CentOS6.4
PHP5.4
ImageMagick.x86_64 6.5.4.7-6.el6_2
ImageMagick-devel.x86_64 6.5.4.7-6.el6_2
imagick-3.2.0RC1

参照サイト:
http://www.tech-step.net/?p=114
http://eeyan.hateblo.jp/entry/2013/03/29/121023

SNSでもご購読できます。

スポンサードリンク

カテゴリー

アーカイブ